HaruDoc::resetError
HaruDoc::save
HaruDoc
PHP Manual

# HaruDoc::resetStream

(PECL haru >= 0.0.1)

HaruDoc::resetStream — Rewind the temporary stream

### Description

bool HaruDoc::resetStream ( void )

Rewinds the temporary stream of the document.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::saveToStream() - Save the document into a temporary stream
- HaruDoc::getStreamSize() - Get the size of the temporary stream
- HaruDoc::readFromStream() - Read data from the temporary stream

HaruDoc::resetError
HaruDoc::save
HaruDoc
PHP Manual